UIFe: Launcher: 'user-trash' and 'user-trash-full' are neon-on-white lens. Should be Humanity

Bug #761421 reported by Paul Sladen
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ayatana Design
Wishlist
Unassigned
Unity
Fix Released
Wishlist
Unassigned
Unity Asset Pool
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-asset-pool (Ubuntu)
Wishlist
Unassigned

Bug Description

This is a UI/FFe request to return the Trash icon to the situation before 2011-04-14, partially undoing:

  unity-asset-pool (0.8.20-0ubuntu1) natty; urgency=low
  - new correct export from sladen by design (LP: #745555)
      (those will be visible only when unity 3.8.8 will land)

 -- Didier Roche <email address hidden> Thu, 14 Apr 2011 14:08:51 +0200

The revert to the Humanity trash has been initiated by Mark Shuttleworth in bug #760656 comment #11.

Background:

In the Unity Launcher, the icons used for the Trash at the bottom-left were/are drawn in the style of the neon-on-white theme used for the lens icons. This was the design previously presented in:

  https://chinstrap.canonical.com/~sabdfl/11_04/desktop_and_netbook/launcher/unity_desktop_26_01_11_stages_fixed_01.png

Per request in bug #760656 comment #11 ("Launcher: Background lighting and border is displayed for Workspaces, Apps, Files, Trash (should be turned off)"), this localised neon-on-white design should be removed, allowing the default (Humanity) 'user-trash' and 'user-trash-full' to be used again.

Related branches

Paul Sladen (sladen)
Changed in ayatana-design:
status: New → Fix Released
importance: Undecided → Wishlist
milestone: none → release
Paul Sladen (sladen)
description: updated
Revision history for this message
Didier Roche (didrocks) wrote :

Hey Paul, can you please complete the UI freeze exception process before I ack the upload and redo another release?

Paul Sladen (sladen)
summary: - Launcher: 'user-trash' and 'user-trash-full' are neon-on-white lens.
- Should be Humanity
+ UIFe: Launcher: 'user-trash' and 'user-trash-full' are neon-on-white
+ lens. Should be Humanity
Paul Sladen (sladen)
description: updated
Revision history for this message
Paul Sladen (sladen) wrote :

Image showing before/after/proposed revert. The icon on the left is the Humanity trash icon. The proposal is to restore this by reverting the neon-white icon.

Revision history for this message
Didier Roche (didrocks) wrote :

Subscribing the release team, an email for the documentation team has to be sent when the change is uploaded (Paul, can you handle that?)

Revision history for this message
Paul Sladen (sladen) wrote :

Ubuntu Doc mailed:

  "UI freeze exception request for Unity - Trash revert"
  https://lists.ubuntu.com/archives/ubuntu-doc/2011-April/015584.html

Revision history for this message
Jim Campbell (jwcampbell) wrote : Re: UI freeze exception request for Unity - Trash revert

On Fri, Apr 15, 2011 at 5:03 AM, Paul Sladen <email address hidden> wrote:

> On Thu, 14 Apr 2011, David Barth wrote:
> > a change we need to do in the Unity launcher icon set.
> > - trash
>
> Further to that, A request has now been made to revert the Trash to
> the previous icon from Humanity:
>
>
No problem, Paul. Thanks.

Paul Sladen (sladen)
Changed in unity-asset-pool:
status: New → Confirmed
Changed in unity-asset-pool (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Changed in unity:
status: New → Invalid
Changed in unity-asset-pool (Ubuntu):
milestone: none → ubuntu-11.04
Revision history for this message
Martin Pitt (pitti) wrote :

Did that already happen? I currently have the "before/revert" icon, not the one from 20110415. Anyway, as the new icon landed after beta-2, and only for a day, approved (in fact this removes an UIFe after beta2 in sum).

Revision history for this message
Paul Sladen (sladen) wrote :

pitti: no, but if you've been upgrading/package testing, you might be seeing: bug #761289 ("Trash/ws switcher icon in unity resets to default icon theme on the event of a deletion or emptying the trash or after an upgrade").

Didier Roche (didrocks)
Changed in unity:
status: Invalid → Fix Committed
milestone: none → 3.8.10
importance: Undecided → Wishlist
Changed in unity-asset-pool:
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-asset-pool - 0.8.20-0ubuntu2

---------------
unity-asset-pool (0.8.20-0ubuntu2) natty; urgency=low

  * Cherry-pick UIFe: Launcher: 'user-trash' and 'user-trash-full' are
  * neon-on-white lens. Should be Humanity (LP: #761421)
 -- Didier Roche <email address hidden> Mon, 18 Apr 2011 14:52:17 +0200

Changed in unity-asset-pool (Ubuntu):
status: Triaged → Fix Released
Didier Roche (didrocks)
Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers